
QGIS Application - Bug report #2449

georeferencer: gcp list ordering is lexicographic, and does not auto-refresh

2010-02-17 04:47 AM - mmassing -

Status: Closed

Priority: Low

Assignee: mmassing -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12509

Description

This is a user interface issue with the GCP list: when sorting ground control points by e.g.

their residual, modifying the set of GCPs (e.g. by adding or activating/deactivating control points) will recalculate the residuals correctly,

but will not reorder the list automatically.

Additionally, the sorting order is lexicographic instead of numeric (e.g. a residual value of 1000 is displayed before 200).

Associated revisions

Revision 7cc05aa6 - 2010-07-29 12:14 AM - mmassing -

Fix #2449: enables numerical sorting and automatic updates of gcp list.

-Use proxy model to implement dynamic sorting.

-Remove some legacy code.

-Employ user role for correct numerical sorting.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13977 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b81bf5f8 - 2010-07-29 12:14 AM - mmassing -

Fix #2449: enables numerical sorting and automatic updates of gcp list.

-Use proxy model to implement dynamic sorting.

-Remove some legacy code.

-Employ user role for correct numerical sorting.

git-svn-id: http://svn.osgeo.org/qgis/trunk@13977 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-07-28 03:14 PM - mmassing -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:b81bf5f8 (SVN r13978).
